## simba 0.2-5

=== DESCRIPTION ===
Package: simba
Type: Package
Version: 0.2-5
Date: 2007-08-16
Title: A Collection of functions for similarity calculation of binary data
Author: Gerald Jurasinski <terhorab@mac.com>
Maintainer: Gerald Jurasinski <terhorab@mac.com>
Depends: R (>= 2.5.0), stats, vegan, gplots, geoR, plotrix
Description: Besides a function for the calculation of similarity measures with 
	binary data (for instance presence/absence species data) the package 
	contains some simple wrapper functions for reshaping species lists into 
	matrices and vice versa and some other functions for further processing 
	of similarity data (Mantel-like permutation procedures) as well as some other useful stuff.
License: GPL version 2
URL: http://www.r-project.org
Packaged: Mon Aug 27 15:52:14 2007; hornik

## simba 0.3-1

=== DESCRIPTION ===
Package: simba
Type: Package
Version: 0.3-1
Date: 2010-07-23
Title: A Collection of functions for similarity analysis of vegetation
        data
Author: Gerald Jurasinski <terhorab@mac.com>, with contributions from
        Vroni Retzer <vroni.retzer@gmx.de>
Maintainer: Gerald Jurasinski <terhorab@mac.com>
Depends: R (>= 2.9.0), stats, vegan
Suggests: gplots, geoR, plotrix
Description: Besides a function for the calculation of similarity
        measures with binary data (for instance presence/absence
        species data) the package contains some simple wrapper
        functions for reshaping species lists into matrices and vice
        versa and some other functions for further processing of
        similarity data (Mantel-like permutation procedures) as well as
        some other useful stuff.
License: GPL (>= 2)
URL: http://www.r-project.org,
        http://www2.auf.uni-rostock.de/loe/ma/simba.html
LazyLoad: yes
Packaged: 2010-07-24 23:11:21 UTC; juri
Repository: CRAN
Date/Publication: 2010-07-25 11:06:36

## simba 0.3-2

=== DESCRIPTION ===
Package: simba
Type: Package
Version: 0.3-2
Date: 2010-08-14
Title: A Collection of functions for similarity analysis of vegetation
        data
Author: Gerald Jurasinski <gerald.jurasinski@uni-rostock.de>, with
        contributions from Vroni Retzer <vroni.retzer@gmx.de>
Maintainer: Gerald Jurasinski <gerald.jurasinski@uni-rostock.de>
Depends: R (>= 2.9.0), stats, vegan
Suggests: gplots, geoR, plotrix
Description: Besides functions for the calculation of similarity and
        multiple plot similarity measures with binary data (for
        instance presence/absence species data) the package contains
        some simple wrapper functions for reshaping species lists into
        matrices and vice versa and some other functions for further
        processing of similarity data (Mantel-like permutation
        procedures) as well as some other useful stuff for vegetation
        analysis.
License: GPL (>= 2)
URL: http://www.r-project.org,
        http://www2.auf.uni-rostock.de/loe/ma/simba.html
LazyLoad: yes
Packaged: 2010-08-27 07:28:17 UTC; juri
Repository: CRAN
Date/Publication: 2010-08-27 13:31:13

## simba 0.3-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: simba
 Type: Package
-Version: 0.3-2
-Date: 2010-08-14
+Version: 0.3-3
+Date: 2011-09-29
 Title: A Collection of functions for similarity analysis of vegetation
         data
 Author: Gerald Jurasinski <gerald.jurasinski@uni-rostock.de>, with
@@ -21,6 +21,6 @@
 URL: http://www.r-project.org,
         http://www2.auf.uni-rostock.de/loe/ma/simba.html
 LazyLoad: yes
-Packaged: 2010-08-27 07:28:17 UTC; juri
+Packaged: 2011-10-02 21:48:32 UTC; juri
 Repository: CRAN
-Date/Publication: 2010-08-27 13:31:13
+Date/Publication: 2011-10-03 05:41:09

## simba 0.3-4

=== DESCRIPTION ===
Package: simba
Type: Package
Version: 0.3-4
Date: 2012-03-29
Title: A Collection of functions for similarity analysis of vegetation
        data
Author: Gerald Jurasinski <gerald.jurasinski@uni-rostock.de>, with
        contributions from Vroni Retzer <vroni.retzer@gmx.de>
Maintainer: Gerald Jurasinski <gerald.jurasinski@uni-rostock.de>
Depends: R (>= 2.12.0), stats, vegan
Suggests: gplots, geoR, plotrix
Description: Besides functions for the calculation of similarity and
        multiple plot similarity measures with binary data (for
        instance presence/absence species data) the package contains
        some simple wrapper functions for reshaping species lists into
        matrices and vice versa and some other functions for further
        processing of similarity data (Mantel-like permutation
        procedures) as well as some other useful stuff for vegetation
        analysis.
License: GPL (>= 2)
URL: http://www.r-project.org
LazyLoad: yes
Packaged: 2012-04-03 17:51:18 UTC; juri
Repository: CRAN
Date/Publication: 2012-04-03 21:02:10

## simba 0.3-5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: simba
 Type: Package
-Version: 0.3-4
-Date: 2012-03-29
+Version: 0.3-5
+Date: 2012-12-06
 Title: A Collection of functions for similarity analysis of vegetation
         data
 Author: Gerald Jurasinski <gerald.jurasinski@uni-rostock.de>, with
@@ -20,6 +20,6 @@
 License: GPL (>= 2)
 URL: http://www.r-project.org
 LazyLoad: yes
-Packaged: 2012-04-03 17:51:18 UTC; juri
+Packaged: 2012-12-05 09:12:13 UTC; Juri
 Repository: CRAN
-Date/Publication: 2012-04-03 21:02:10
+Date/Publication: 2012-12-05 11:28:33

## simba 0.8.4

=== debian/changelog ===
simba (0.8.4-6) unstable; urgency=medium

  * QA upload.
  * Do not depend on ucf being available in postrm. Closes: #915742.

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 09 Dec 2018 09:47:21 +0100

simba (0.8.4-5) unstable; urgency=medium

  * Orphaning simba, maintainer set to Debian QA Group
    <packages@qa.debian.org>.
  * Fix pending l10n issues. Debconf translations:
    - Brazilian Portuguese (Adriano Rafael Gomes). Closes: #723054
  * Switch to source format 3.0 (quilt) and remove dependency on dpatch.
  * Fix spelling in README.Debian.
  * Remove alternative dependencies on apache (1).
  * Use "set -e" throughout maintainer scripts. Closes: #866299
  * Remove /var/log/simba.log on purge. Closes: #670414

 -- Helge Kreutzmann <debian@helgefjell.de>  Mon, 03 Dec 2018 07:52:56 +0100

simba (0.8.4-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: RoPkg::Rsync          ...failed! (needed)":
    debian/rules: tell ExtUtils::AutoInstall not to try to download modules
    from the CPAN.
    (Closes: #759979)
  * Fix "FTBFS with '.' removed from perl's @INC":
    call perl with "-I." in debian/rules.
    (Closes: #834356)

 -- gregor herrmann <gregoa@debian.org>  Sun, 21 Aug 2016 21:29:24 +0200

simba (0.8.4-4.2) unstable; urgency=low

  * Non-maintainer upload.
  * Stop using deprecated makemaker install rule
  * Add build-arch and build-indep build rules
  * Fix pending l10n issues. Debconf translations:
    - Italian (Vincenzo Campanella).  Closes: #573828
    - Danish (Joe Hansen).  Closes: #633395
    - Dutch; (Jeroen Schot).  Closes: #660242
    - Polish (Michał Kułach).  Closes: #661477

 -- Christian Perrier <bubulle@debian.org>  Wed, 07 Mar 2012 07:35:18 +0100

simba (0.8.4-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add ${misc:Depends} to binary package dependencies (in place of
    "debconf" alone, which is anyway incorrect) to properly cope
    with dependencies triggerred by the use of debhelper utilities.
  * Bump debhelper compatibility to 7. As a consequence of this,
    replace "dh_clean -k" by "dh_prep".
  * Link to versioned GPL document in debian/copyright
  * Replace deprecated ${Source-Version} in dependencies
  * Use Homepage: field for home page in debian/control
  * No longer ignore errors from "make distclean" for libropkg-perl
  * Drop "build-depends-on-1-revision"
  * Fix pending l10n issues. Debconf translations:
    - Swedish (Martin Bagge).  Closes: #504334
    - Russian (Yuri Kozlov).  Closes: #558276
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #559382

 -- Christian Perrier <bubulle@debian.org>  Fri, 12 Mar 2010 07:44:43 +0100

simba (0.8.4-4) unstable; urgency=high

  * Added Spanish debconf translation. (closes: #410222)
    Thanks to Felipe Caminos.

 -- Radu Spineanu <radu@debian.org>  Fri, 16 Feb 2007 12:33:54 +0200

simba (0.8.4-3) unstable; urgency=high

  * New German debconf translation. (closes: #402489)
    Thanks to Helge Kreutzmann <debian@helgefjell.de>

 -- Radu Spineanu <radu@debian.org>  Wed, 10 Jan 2007 02:10:00 +0200

simba (0.8.4-2) unstable; urgency=high

  * Added a missing virtual-mysql-client dependency (closes: #398525)

 -- Radu Spineanu <radu@debian.org>  Tue, 14 Nov 2006 12:43:44 +0200

simba (0.8.4-1) unstable; urgency=low

  * New upstream release

 -- Radu Spineanu <radu@debian.org>  Wed,  4 Oct 2006 23:57:59 +0300

simba (0.8.3-1) unstable; urgency=low

  *  New upstream release
  *  Also check for dbconfig-common in the config script
     (closes: #388235)

 -- Radu Spineanu <radu@debian.org>  Tue, 26 Sep 2006 13:32:45 +0300

simba (0.8-3) unstable; urgency=low

  * Check for dbconfig-common to be installed in postrm
  * New Debconf Portugese translation by Rui Branco <ruipb@debianpt.org>.
    (closes: #378894)
  * New Debconf French translation by Florentin Duneau <f.baced@wanadoo.fr>.
    (closes: #379299)
  * New Debconf Czech translation by Miroslav Kure <kurem@upcase.inf.upol.cz>.
    (closes: #380526)

 -- Radu Spineanu <radu@debian.org>  Sat, 26 Aug 2006 16:01:38 +0300

simba (0.8-2) unstable; urgency=low

  * Fix broken debconf template.
    Thanks to Thomas Huriaux for the patch (closes: #378229)
  * websimba depends using Source-Version on simba

 -- Radu Spineanu <radu@debian.org>  Fri, 14 Jul 2006 16:45:31 +0300

simba (0.8-1) unstable; urgency=low

  * New upstream release
  * Minor fixes in the debconf template.
    Thanks to Thomas Huriaux for the patch. (closes: #372897)

 -- Radu Spineanu <radu@debian.org>  Tue, 11 Jul 2006 14:03:35 +0300

simba (0.7.2-1) unstable; urgency=low

  * Initial release (closes: #360636)

 -- Radu Spineanu <radu@debian.org>  Wed, 22 Mar 2006 21:06:35 +0200

=== debian/control ===
Source: simba
Section: perl
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: po-debconf, libropkg-perl (>= 0.4), liblog-dispatch-perl, libxml-rss-perl, libnumber-format-perl, libhtml-template-perl, libmodule-pluggable-perl, libsql-abstract-perl, libdatetime-perl, liblog-log4perl-perl
Standards-Version: 3.7.2
Homepage: http://simba.packages.ro/

Package: simba
Architecture: all
Depends: perl, libropkg-perl (>= 0.4-1), liblog-dispatch-perl, libxml-rss-perl, libnumber-format-perl, libhtml-template-perl, libmodule-pluggable-perl, libsql-abstract-perl, libdatetime-perl, liblog-log4perl-perl, dbconfig-common (>= 1.8.12), ${misc:Depends}, virtual-mysql-client
Description: next generation mirroring tool
 Simba was created to be _the_ mirroring tool, to get more control
 over the mirrored content and (most importantly) more control over
 the reports you can generate using the mirrored content data.
 Using Simba, you can:
    +   Create web pages with mirrors status
    +   Create web pages with mirror details
    +   Generate RSS feeds
    +   Generate Google sitemaps
    +   Generate rsync configuration files
    +   ... and more
 Simba is extensible and has a dynamic plugin system. If you have some knowledge
 of perl, you can write your own plugins and extend Simba as you wish.

Package: websimba
Architecture: all
Depends: apache2, wwwconfig-common, ${misc:Depends}, simba (= ${source:Version} )
Description: web interface for simba
 This package contains the web interface for simba.
 .
 Simba was created to be _the_ mirroring tool, to get more control
 over the mirrored content and (most importantly) more control over
 the reports you can generate using the mirrored content data.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=$(shell dh_listpackages)

PERL = /usr/bin/perl

DESTDIR=..

TMP     =`pwd`/debian/simba

configure: configure-stamp
configure-stamp:
	dh_testdir

	$(PERL) -I. Makefile.PL --skipdeps verbose INSTALLDIRS=vendor

	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(TMP)

	# Remove any empty directories

	find $(TMP) -type d -empty -print0 | xargs --no-run-if-empty --null rmdir -p --ignore-fail-on-non-empty
	mkdir -p $(TMP)/usr/share/dbconfig-common/data/simba/install
	cp addons/simba.mysql $(TMP)/usr/share/dbconfig-common/data/simba/install/mysql

	mkdir $(TMP)/usr/share/man/man8
	pod2man simba.pod $(TMP)/usr/share/man/man8/simba.8 -s 8


# Build architecture-independent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_install
	dh_installman
	dh_installchangelogs Changelog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb --destdir=$(DESTDIR)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary patch unpatch
